Get card transactions
Get card transactions
GET /svc/ts/api/v1/openapi/transactions
Request
Query Parameters
offset number
分页偏移值
Example: 0
limit number
分页大小
Example: 10
card string
card id
Responses
- 200
Response Headers
-
application/json
-
Schema
-
Example (auto)
-
Example
Schema
data objectrequired
transactions object[]required
Array [
id stringrequired
p_business_id stringnullable
p_user_id stringnullable
card stringrequired
status stringrequired
Authorized | Declined | Settled
type stringrequired
Sales | Refund | Withdrawal
transaction_currency stringrequired
货币:如HKD
transaction_amount stringrequired
交易金额
local_currency stringrequired
local_amount stringrequired
扣款金额
final_local_amount stringrequired
实际扣款
calculated_fee stringrequired
费(金额)
merchant_id stringrequired
merchant_country stringrequired
merchant_city stringrequired
merchant_name stringrequired
p_created_at stringrequired
]
code error code (integer)required
message error message (string)required
{
"data": {
"transactions": [\
{\
"id": "string",\
"p_business_id": "string",\
"p_user_id": "string",\
"card": "string",\
"status": "string",\
"type": "string",\
"transaction_currency": "string",\
"transaction_amount": "string",\
"local_currency": "string",\
"local_amount": "string",\
"final_local_amount": "string",\
"calculated_fee": "string",\
"merchant_id": "string",\
"merchant_country": "string",\
"merchant_city": "string",\
"merchant_name": "string",\
"p_created_at": "string"\
}\
]
},
"code": 0,
"message": "string"
}{
"code": 200,
"data": {
"transactions": [\
{\
"id": "33cc2ca1-b4bf-4516-9962-31c67a885eeb",\
"p_business_id": "35cc45cc-c418-4154-8f12-2dda715d0433",\
"card": "03e69dd9-a70c-4b0f-b084-c0ee077772fb",\
"status": "Declined",\
"type": "Sales",\
"transaction_currency": "HKD",\
"transaction_amount": "-101",\
"local_currency": "HKD",\
"local_amount": "-101",\
"final_local_amount": "-101",\
"calculated_fee": "0",\
"merchant_id": "666666660057123",\
"merchant_country": "HK",\
"merchant_city": "",\
"merchant_name": "Bindo Simulator Test",\
"p_created_at": "2025-03-04T03:32:11.051702Z"\
}\
]
},
"message": "succeed"
}-
csharp
-
curl
-
dart
-
go
-
http
-
java
-
javascript
-
kotlin
-
c
-
nodejs
-
objective-c
-
ocaml
-
php
-
powershell
-
python
-
r
-
ruby
-
rust
-
shell
-
swift
-
HTTPCLIENT
-
RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://developer.wonder.today/svc/ts/api/v1/openapi/transactions");
request.Headers.Add("Accept", "application/json");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());Request Collapse all
Parameters
Show optional parameters
offset — query
limit — query
card — query